For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Project Stats

Retrieve Project Stats

get

This endpoint allows you to retrieve stats about the NFTs in a Project.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
Responses
200Success
application/json
totalnumberRequired

Total number of NFTs in the Project

confirmednumberRequired

Number NFTs confirmed on-chain

processingnumberRequired

Number of NFTs currently minting

pendingnumberRequired

Number of NFTs lazily minted

get/v2/projects/:transferable/:projectId/stats
GET /v2/projects/:transferable/:projectId/stats HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "confirmed": 1,
  "processing": 1,
  "pending": 1
}

Example

curl --location --request GET 'https://dev.underdogprotocol.com/v2/projects/n/4' \
--header 'Authorization: Bearer {token}'
const axios = require('axios');

let config = {
  method: 'get',
  url: 'https://dev.underdogprotocol.com/v2/projects/n/4',
  headers: { 
    'Authorization': 'Bearer d098077945e454.c76459c2fa07476788b3cbf7d60273fd'
  }
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Last updated